Установка:

Для установки libdist-zilla-plugin-requiresexternal-perl в Ubuntu / Linux Mint / Debian, введите в Терминал:

sudo apt update
sudo apt install libdist-zilla-plugin-requiresexternal-perl

Подробная информация о пакете:

Dist :: Плагин Zilla для определения зависимости от инструментов командной строки

Dist :: Zilla :: Plugin :: RequiresExternal создает в вашем дистрибутиве единичный тест для проверки наличия исполняемых инструментов командной строки, которые вам нужны. Средства командной строки могут быть объявлены как абсолютный путь к исполняемому файлу или имя команды в среде PATH пользователя.

Зависимости:

  • libdist-zilla-perl

    Perl-дистрибутор

  • libenv-path-perl

    Модуль Perl, реализующий расширенные операции над переменными пути

  • liblist-moreutils-perl

    Модуль Perl с дополнительными функциями списка, не найденными в List :: Util

  • libmodern-perl-perl

    модуль для включения всех функций Modern Perl

  • libmoose-perl

    современная инфраструктура объектной системы Perl

  • libmoosex-attributeshortcuts-perl

    Расширение Moose, предоставляющее сокращения для общих атрибутов

  • libmoosex-types-perl

    Расширение Moose для организации типов в библиотеках

  • libnamespace-autoclean-perl

    модуль для удаления импортированных символов после компиляции

  • libpath-class-perl

    модуль для кросс-платформенной обработки спецификации пути

  • libtest-most-perl

    Модуль Perl с наиболее необходимыми функциями и функциями тестирования

  • perl

    Практический язык извлечения и отчета Ларри Уолла